# Uses of Interface
org.eclipse.birt.report.engine.api.IExtractionOption

Packages that use IExtractionOption
Package
Description
org.eclipse.birt.report.engine.api
This is an application-writer's interface for using the BIRT report engine.

## Uses of IExtractionOption in org.eclipse.birt.report.engine.api

Subinterfaces of IExtractionOption in org.eclipse.birt.report.engine.api
Modifier and Type
Interface
Description
`interface`
`IDataExtractionOption`
Classes in org.eclipse.birt.report.engine.api that implement IExtractionOption
Modifier and Type
Class
Description
`class`
`DataExtractionOption`
Handle extended extraction options
Methods in org.eclipse.birt.report.engine.api with parameters of type IExtractionOption
Modifier and Type
Method
Description
`void`
IExtractionTask.`extract(IExtractionOption option)`
execute this extraction task